Subject: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Po Lu <[email-masked]>
Date: Thu, 14 Oct 2021 20:27:34 +0800

Eli Zaretskii <[email-masked]> writes:

> If this affects the glyph string, then fill_XXX_glyph_string is a
> better place, yes.

Thanks, noted.

> I'm not sure what issue you have in mind.  Why should it matter if the
> glyph string's face is ASCII or non-ASCII?  Do you see any problems
> related to the box face that happen when text is ASCII, but not when
> it's non-ASCII, or vice versa?

IIUC, the face that is actually used in a glyph string is the one
returned by FACE_FOR_CHAR, which returns an adjusted face if the
character passed to it is multibyte.

What I'm asking is whether or not the adjustments made by FACE_FOR_CHAR
are also made to the mouse face (which I think they are not, because
there is only one mouse face at any given time, while the highlighted
area can span many faces that could have been adjusted for many
different characters).  Thanks.